<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateJobsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('jobs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('job_title');
            $table->string('job_type');
            $table->string('department');
            $table->integer('salary')->nullable();
            $table->string('branch')->nullable();
            $table->string('day')->nullable();
            $table->string('time')->nullable();
            $table->integer('num')->nullable();
            $table->string('gender')->nullable();
            $table->string('degree')->nullable();
            $table->string('gpax')->nullable();
            $table->string('phase')->nullable();
            $table->text('feature')->nullable();
            $table->text('role')->nullable();
            $table->text('welfare')->nullable();
            $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->references('id')->on('users');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('jobs');
    }
}
